DCMTK: DRTEnhancedRTBeamLimitingOpeningSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTEnhancedRTBeamLimitingOpeningSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTEnhancedRTBeamLimitingOpeningSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getParallelRTBeamDelimiterPositions (Float64 &value, const unsigned long pos=0) const
| get ParallelRTBeamDelimiterPositions (300a,064a)
OFCondition | getRTBeamLimitingDeviceOffset (Float64 &value, const unsigned long pos=0) const
| get RTBeamLimitingDeviceOffset (300a,064b)
OFCondition | getReferencedDeviceIndex (Uint16 &value, const unsigned long pos=0) const
| get ReferencedDeviceIndex (300a,0607)
DRTRTBeamDelimiterGeometrySequence & | getRTBeamDelimiterGeometrySequence ()
| get RTBeamDelimiterGeometrySequence (300a,064c)
const DRTRTBeamDelimiterGeometrySequence & | getRTBeamDelimiterGeometrySequence () const
| get RTBeamDelimiterGeometrySequence (300a,064c)
OFCondition | setParallelRTBeamDelimiterPositions (const Float64 value, const unsigned long pos=0)
| set ParallelRTBeamDelimiterPositions (300a,064a)
OFCondition | setRTBeamLimitingDeviceOffset (const Float64 value, const unsigned long pos=0)
| set RTBeamLimitingDeviceOffset (300a,064b)
OFCondition | setReferencedDeviceIndex (const Uint16 value, const unsigned long pos=0)
| set ReferencedDeviceIndex (300a,0607)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmFloatingPointDouble | ParallelRTBeamDelimiterPositions
| ParallelRTBeamDelimiterPositions (300a,064a) vr=FD, vm=2-n, type=1C.
DRTRTBeamDelimiterGeometrySequence | RTBeamDelimiterGeometrySequence
| RTBeamDelimiterGeometrySequence (300a,064c) vr=SQ, vm=1, type=1C.
DcmFloatingPointDouble | RTBeamLimitingDeviceOffset
| RTBeamLimitingDeviceOffset (300a,064b) vr=FD, vm=2, type=1C.
DcmUnsignedShort | ReferencedDeviceIndex
| ReferencedDeviceIndex (300a,0607) vr=US, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTEnhancedRTBeamLimitingOpeningSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTEnhancedRTBeamLimitingOpeningSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getParallelRTBeamDelimiterPositions()

OFCondition DRTEnhancedRTBeamLimitingOpeningSequence::Item::getParallelRTBeamDelimiterPositions | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get ParallelRTBeamDelimiterPositions (300a,064a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedDeviceIndex()

OFCondition DRTEnhancedRTBeamLimitingOpeningSequence::Item::getReferencedDeviceIndex | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedDeviceIndex (300a,0607)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTBeamDelimiterGeometrySequence() [1/2]

DRTRTBeamDelimiterGeometrySequence & DRTEnhancedRTBeamLimitingOpeningSequence::Item::getRTBeamDelimiterGeometrySequence | ( |  | ) |
| inline

get RTBeamDelimiterGeometrySequence (300a,064c)

Returns
  reference to sequence element

References RTBeamDelimiterGeometrySequence.

## ◆ getRTBeamDelimiterGeometrySequence() [2/2]

const DRTRTBeamDelimiterGeometrySequence & DRTEnhancedRTBeamLimitingOpeningSequence::Item::getRTBeamDelimiterGeometrySequence | ( |  | ) | const
| inline

get RTBeamDelimiterGeometrySequence (300a,064c)

Returns
  const reference to sequence element

References RTBeamDelimiterGeometrySequence.

## ◆ getRTBeamLimitingDeviceOffset()

OFCondition DRTEnhancedRTBeamLimitingOpeningSequence::Item::getRTBeamLimitingDeviceOffset | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get RTBeamLimitingDeviceOffset (300a,064b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTEnhancedRTBeamLimitingOpeningSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTEnhancedRTBeamLimitingOpeningSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTEnhancedRTBeamLimitingOpeningSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTEnhancedRTBeamLimitingOpeningSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setParallelRTBeamDelimiterPositions()

OFCondition DRTEnhancedRTBeamLimitingOpeningSequence::Item::setParallelRTBeamDelimiterPositions | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set ParallelRTBeamDelimiterPositions (300a,064a)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2-n

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedDeviceIndex()

OFCondition DRTEnhancedRTBeamLimitingOpeningSequence::Item::setReferencedDeviceIndex | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set ReferencedDeviceIndex (300a,0607)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTBeamLimitingDeviceOffset()

OFCondition DRTEnhancedRTBeamLimitingOpeningSequence::Item::setRTBeamLimitingDeviceOffset | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set RTBeamLimitingDeviceOffset (300a,064b)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTEnhancedRTBeamLimitingOpeningSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drteblos.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2